net.sf.jasperreports.engine.base

## Class JRBaseExpression

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseExpression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRCloneable, JRExpression
  Direct Known Subclasses:
    JRDesignExpression

      public class JRBaseExpression
      extends java.lang.Object
      implements JRExpression, java.io.Serializable

  Version:
    $Id: JRBaseExpression.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id`
    `protected java.lang.Class<?>` | `valueClass` Deprecated. To be removed.
    `protected java.lang.String` | `valueClassName` Deprecated. To be removed.
    `protected java.lang.String` | `valueClassRealName` Deprecated. To be removed.

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRExpression

      `EVALUATION_DEFAULT, EVALUATION_ESTIMATED, EVALUATION_OLD, NOT_USED_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseExpression()`
    `protected` | `JRBaseExpression(JRExpression expression, JRBaseObjectFactory factory)` Creates a copy of an expression.
    `protected` | `JRBaseExpression(JRExpression expression, JRBaseObjectFactory factory, java.lang.Integer expressionId)` Creates a copy of an expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `protected java.lang.String` | `escapeTextChunk(java.lang.String text)`
    `JRExpressionChunk[]` | `getChunks()`
    `int` | `getId()`
    `java.lang.String` | `getText()`
    `java.lang.Class<?>` | `getValueClass()` Deprecated. To be removed.
    `java.lang.String` | `getValueClassName()` Deprecated. To be removed.
    `void` | `regenerateId()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valueClassName

          protected java.lang.String valueClassName

      Deprecated. To be removed.

    - #### valueClassRealName

          protected java.lang.String valueClassRealName

      Deprecated. To be removed.

    - #### id

          protected int id

    - #### valueClass

          protected transient java.lang.Class<?> valueClass

      Deprecated. To be removed.

  - ### Constructor Detail

    - #### JRBaseExpression

          protected JRBaseExpression()

    - #### JRBaseExpression

          protected JRBaseExpression(JRExpression expression,
                          JRBaseObjectFactory factory,
                          java.lang.Integer expressionId)

      Creates a copy of an expression.
      Parameters:
        `expression` - the original expression
        `factory` - the base object factory
        `expressionId` - if not null, the created expression will use it as ID instead of the original expressions's ID

    - #### JRBaseExpression

          protected JRBaseExpression(JRExpression expression,
                          JRBaseObjectFactory factory)

      Creates a copy of an expression.
      Parameters:
        `expression` - the original expression
        `factory` - the base object factory

  - ### Method Detail

    - #### regenerateId

          public void regenerateId()

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Deprecated. To be removed.
      Description copied from interface: `JRExpression`
      Returns the expression return value class.
      Specified by:
        `getValueClass` in interface `JRExpression`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Deprecated. To be removed.
      Description copied from interface: `JRExpression`
      Returns the expression return value class.
      Specified by:
        `getValueClassName` in interface `JRExpression`

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `JRExpression`

    - #### getChunks

          public JRExpressionChunk[] getChunks()

      Specified by:
        `getChunks` in interface `JRExpression`

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in interface `JRExpression`

    - #### escapeTextChunk

          protected java.lang.String escapeTextChunk(java.lang.String text)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com